> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Sip Trunk

> Update SIP trunk.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json put /sip/tenants/{tenant_id}/sip-trunks/{trunk_id}
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /sip/tenants/{tenant_id}/sip-trunks/{trunk_id}:
    put:
      tags:
        - sip
      summary: Update Sip Trunk
      description: Update SIP trunk.
      operationId: update_sip_trunk_sip_tenants__tenant_id__sip_trunks__trunk_id__put
      parameters:
        - name: tenant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tenant Id
        - name: trunk_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Trunk Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SIPTrunkUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SIPTrunk'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SIPTrunkUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          title: Name
        phone_numbers:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Phone Numbers
        auth_username:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Username
        auth_password:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Password
        provider_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provider Config
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
      type: object
      title: SIPTrunkUpdate
      description: SIP trunk update model.
    SIPTrunk:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        trunk_type:
          type: string
          pattern: ^(inbound|outbound)$
          title: Trunk Type
        phone_numbers:
          items:
            type: string
          type: array
          title: Phone Numbers
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        sip_uri:
          type: string
          title: Sip Uri
        livekit_trunk_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Livekit Trunk Id
        dispatch_rule_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dispatch Rule Id
        status:
          type: string
          title: Status
        last_health_check:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Health Check
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - name
        - trunk_type
        - id
        - tenant_id
        - sip_uri
        - status
        - created_at
        - updated_at
      title: SIPTrunk
      description: SIP trunk response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````